# TdApi.CloseWebApp (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CloseWebApp

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CloseWebApp

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.CloseWebApp

Enclosing class:
  TdApi

public static final class TdApi.CloseWebApp extends TdApi.Function<TdApi.Ok>
Informs TDLib that a previously opened Web App was closed. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`webAppLaunchId`
Identifier of Web App launch, received from openWebApp.

## Constructor Summary

Constructors
Constructor
Description
`CloseWebApp()`
Informs TDLib that a previously opened Web App was closed.
`CloseWebApp(long webAppLaunchId)`
Informs TDLib that a previously opened Web App was closed.
`CloseWebApp(DataInput input)`
Informs TDLib that a previously opened Web App was closed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### webAppLaunchId

public long webAppLaunchId
Identifier of Web App launch, received from openWebApp.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CloseWebApp

public CloseWebApp()
Informs TDLib that a previously opened Web App was closed. Returns `Ok`

### CloseWebApp

public CloseWebApp(long webAppLaunchId)
Informs TDLib that a previously opened Web App was closed. Returns `Ok`

Parameters:
  `webAppLaunchId` - long Identifier of Web App launch, received from openWebApp.

### CloseWebApp

public CloseWebApp(DataInput input) throws IOException
Informs TDLib that a previously opened Web App was closed. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`